org.apache.xmlbeans.impl.xb.xsdownload

## Interface DownloadedSchemaEntry

All Superinterfaces:
  XmlObject, XmlTokenSource

All Known Implementing Classes:
  DownloadedSchemaEntryImpl

    public interface DownloadedSchemaEntry
    extends XmlObject

An XML downloaded-schema-entry(@http://www.bea.com/2003/01/xmlbean/xsdownload). This is a complex type.

### Field Summary

Fields
`static DocumentFactory<DownloadedSchemaEntry>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`XmlAnyURI` `addNewSchemaLocation()` Appends and returns a new empty value (as xml) as the last "schemaLocation" element
`void` `addSchemaLocation(String schemaLocation)` Appends the value as the last "schemaLocation" element
`String` `getFilename()` Gets the "filename" element
`String` `getNamespace()` Gets the "namespace" element
`String[]` `getSchemaLocationArray()` Gets array of all "schemaLocation" elements
`String` `getSchemaLocationArray(int i)` Gets ith "schemaLocation" element
`List<String>` `getSchemaLocationList()` Gets a List of "schemaLocation" elements
`String` `getSha1()` Gets the "sha1" element
`XmlAnyURI` `insertNewSchemaLocation(int i)` Inserts and returns a new empty value (as xml) as the ith "schemaLocation" element
`void` `insertSchemaLocation(int i, String schemaLocation)` Inserts the value as the ith "schemaLocation" element
`boolean` `isSetNamespace()` True if has "namespace" element
`void` `removeSchemaLocation(int i)` Removes the ith "schemaLocation" element
`void` `setFilename(String filename)` Sets the "filename" element
`void` `setNamespace(String namespace)` Sets the "namespace" element
`void` `setSchemaLocationArray(int i, String schemaLocation)` Sets ith "schemaLocation" element
`void` `setSchemaLocationArray(String[] schemaLocationArray)` Sets array of all "schemaLocation" element
`void` `setSha1(String sha1)` Sets the "sha1" element
`int` `sizeOfSchemaLocationArray()` Returns number of "schemaLocation" element
`void` `unsetNamespace()` Unsets the "namespace" element
`XmlToken` `xgetFilename()` Gets (as xml) the "filename" element
`XmlAnyURI` `xgetNamespace()` Gets (as xml) the "namespace" element
`XmlAnyURI[]` `xgetSchemaLocationArray()` Gets (as xml) array of all "schemaLocation" elements
`XmlAnyURI` `xgetSchemaLocationArray(int i)` Gets (as xml) ith "schemaLocation" element
`List<XmlAnyURI>` `xgetSchemaLocationList()` Gets (as xml) a List of "schemaLocation" elements
`XmlToken` `xgetSha1()` Gets (as xml) the "sha1" element
`void` `xsetFilename(XmlToken filename)` Sets (as xml) the "filename" element
`void` `xsetNamespace(XmlAnyURI namespace)` Sets (as xml) the "namespace" element
`void` `xsetSchemaLocationArray(int i, XmlAnyURI schemaLocation)` Sets (as xml) ith "schemaLocation" element
`void` `xsetSchemaLocationArray(XmlAnyURI[] schemaLocationArray)` Sets (as xml) array of all "schemaLocation" element
`void` `xsetSha1(XmlToken sha1)` Sets (as xml) the "sha1" element

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final DocumentFactory<DownloadedSchemaEntry> Factory

#### type

    static final SchemaType type

### Method Detail

#### getFilename

    String getFilename()

Gets the "filename" element

#### xgetFilename

    XmlToken xgetFilename()

Gets (as xml) the "filename" element

#### setFilename

    void setFilename(String filename)

Sets the "filename" element

#### xsetFilename

    void xsetFilename(XmlToken filename)

Sets (as xml) the "filename" element

#### getSha1

    String getSha1()

Gets the "sha1" element

#### xgetSha1

    XmlToken xgetSha1()

Gets (as xml) the "sha1" element

#### setSha1

    void setSha1(String sha1)

Sets the "sha1" element

#### xsetSha1

    void xsetSha1(XmlToken sha1)

Sets (as xml) the "sha1" element

#### getSchemaLocationList

    List<String> getSchemaLocationList()

Gets a List of "schemaLocation" elements

#### getSchemaLocationArray

    String[] getSchemaLocationArray()

Gets array of all "schemaLocation" elements

#### getSchemaLocationArray

    String getSchemaLocationArray(int i)

Gets ith "schemaLocation" element

#### xgetSchemaLocationList

    List<XmlAnyURI> xgetSchemaLocationList()

Gets (as xml) a List of "schemaLocation" elements

#### xgetSchemaLocationArray

    XmlAnyURI[] xgetSchemaLocationArray()

Gets (as xml) array of all "schemaLocation" elements

#### xgetSchemaLocationArray

    XmlAnyURI xgetSchemaLocationArray(int i)

Gets (as xml) ith "schemaLocation" element

#### sizeOfSchemaLocationArray

    int sizeOfSchemaLocationArray()

Returns number of "schemaLocation" element

#### setSchemaLocationArray

    void setSchemaLocationArray(String[] schemaLocationArray)

Sets array of all "schemaLocation" element

#### setSchemaLocationArray

    void setSchemaLocationArray(int i,
                                String schemaLocation)

Sets ith "schemaLocation" element

#### xsetSchemaLocationArray

    void xsetSchemaLocationArray(XmlAnyURI[] schemaLocationArray)

Sets (as xml) array of all "schemaLocation" element

#### xsetSchemaLocationArray

    void xsetSchemaLocationArray(int i,
                                 XmlAnyURI schemaLocation)

Sets (as xml) ith "schemaLocation" element

#### insertSchemaLocation

    void insertSchemaLocation(int i,
                              String schemaLocation)

Inserts the value as the ith "schemaLocation" element

#### addSchemaLocation

    void addSchemaLocation(String schemaLocation)

Appends the value as the last "schemaLocation" element

#### insertNewSchemaLocation

    XmlAnyURI insertNewSchemaLocation(int i)

Inserts and returns a new empty value (as xml) as the ith "schemaLocation" element

#### addNewSchemaLocation

    XmlAnyURI addNewSchemaLocation()

Appends and returns a new empty value (as xml) as the last "schemaLocation" element

#### removeSchemaLocation

    void removeSchemaLocation(int i)

Removes the ith "schemaLocation" element

#### getNamespace

    String getNamespace()

Gets the "namespace" element

#### xgetNamespace

    XmlAnyURI xgetNamespace()

Gets (as xml) the "namespace" element

#### isSetNamespace

    boolean isSetNamespace()

True if has "namespace" element

#### setNamespace

    void setNamespace(String namespace)

Sets the "namespace" element

#### xsetNamespace

    void xsetNamespace(XmlAnyURI namespace)

Sets (as xml) the "namespace" element

#### unsetNamespace

    void unsetNamespace()

Unsets the "namespace" element